Freeciv-3.3: packet_unit_short_info Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
packet_unit_short_info Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | id
int | owner
int | tile
enum direction8 | facing
Unit_type_id | type
int | veteran
bool | occupied
bool | transported
int | hp
int | activity
int | activity_tgt
int | transported_by
int | packet_use
int | info_city_id

## Detailed Description

Definition at line 678 of file packets_gen.h.

## Field Documentation

## ◆ activity

int packet_unit_short_info::activity

Definition at line 688 of file packets_gen.h.

Referenced by package_short_unit(), and unpackage_short_unit().

## ◆ activity_tgt

int packet_unit_short_info::activity_tgt

Definition at line 689 of file packets_gen.h.

Referenced by package_short_unit(), and unpackage_short_unit().

## ◆ facing

enum direction8 packet_unit_short_info::facing

Definition at line 682 of file packets_gen.h.

Referenced by package_short_unit(), and unpackage_short_unit().

## ◆ hp

int packet_unit_short_info::hp

Definition at line 687 of file packets_gen.h.

Referenced by package_short_unit(), and unpackage_short_unit().

## ◆ id

int packet_unit_short_info::id

Definition at line 679 of file packets_gen.h.

Referenced by package_short_unit(), and unpackage_short_unit().

## ◆ info_city_id

int packet_unit_short_info::info_city_id

Definition at line 692 of file packets_gen.h.

Referenced by handle_unit_short_info(), and package_short_unit().

## ◆ occupied

bool packet_unit_short_info::occupied

Definition at line 685 of file packets_gen.h.

Referenced by package_short_unit(), and unpackage_short_unit().

## ◆ owner

int packet_unit_short_info::owner

Definition at line 680 of file packets_gen.h.

Referenced by handle_unit_short_info(), package_short_unit(), and unpackage_short_unit().

## ◆ packet_use

int packet_unit_short_info::packet_use

Definition at line 691 of file packets_gen.h.

Referenced by handle_unit_short_info(), and package_short_unit().

## ◆ tile

int packet_unit_short_info::tile

Definition at line 681 of file packets_gen.h.

Referenced by package_short_unit(), and unpackage_short_unit().

## ◆ transported

bool packet_unit_short_info::transported

Definition at line 686 of file packets_gen.h.

Referenced by package_short_unit(), and unpackage_short_unit().

## ◆ transported_by

int packet_unit_short_info::transported_by

Definition at line 690 of file packets_gen.h.

Referenced by package_short_unit(), and unpackage_short_unit().

## ◆ type

Unit_type_id packet_unit_short_info::type

Definition at line 683 of file packets_gen.h.

Referenced by package_short_unit(), and unpackage_short_unit().

## ◆ veteran

int packet_unit_short_info::veteran

Definition at line 684 of file packets_gen.h.

Referenced by package_short_unit(), and unpackage_short_unit().